[oe-commits] Brendan Le Foll : toolchain-shar-extract.sh: ensure extensible SDK install path obeys restrictions

git at git.openembedded.org git at git.openembedded.org
Wed Sep 9 13:53:05 UTC 2015


Module: openembedded-core.git
Branch: master
Commit: 5aa9314c342004797e96c87868c5491ad70c13f9
URL:    http://git.openembedded.org/?p=openembedded-core.git&a=commit;h=5aa9314c342004797e96c87868c5491ad70c13f9

Author: Brendan Le Foll <brendan.le.foll at intel.com>
Date:   Mon Sep  7 13:42:17 2015 +0100

toolchain-shar-extract.sh: ensure extensible SDK install path obeys restrictions

There are some characters that cannot appear in the installation path, so we
need to check for these

Signed-off-by: Brendan Le Foll <brendan.le.foll at intel.com>
Signed-off-by: Paul Eggleton <paul.eggleton at linux.intel.com>
Signed-off-by: Richard Purdie <richard.purdie at linuxfoundation.org>

---

 meta/files/toolchain-shar-extract.sh | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

diff --git a/meta/files/toolchain-shar-extract.sh b/meta/files/toolchain-shar-extract.sh
index 3a50991..85719fa 100644
--- a/meta/files/toolchain-shar-extract.sh
+++ b/meta/files/toolchain-shar-extract.sh
@@ -85,9 +85,18 @@ else
 	target_sdk_dir=$(readlink -m "$target_sdk_dir")
 fi
 
-if [ -n "$(echo $target_sdk_dir|grep ' ')" ]; then
-	echo "The target directory path ($target_sdk_dir) contains spaces. Abort!"
-	exit 1
+if [ "$SDK_EXTENSIBLE" = "1" ]; then
+	# We're going to be running the build system, additional restrictions apply
+	if echo "$target_sdk_dir" | grep -q '[+\ @]'; then
+		echo "The target directory path ($target_sdk_dir) contains illegal" \
+		     "characters such as spaces, @ or +. Abort!"
+		exit 1
+	fi
+else
+	if [ -n "$(echo $target_sdk_dir|grep ' ')" ]; then
+		echo "The target directory path ($target_sdk_dir) contains spaces. Abort!"
+		exit 1
+	fi
 fi
 
 if [ -e "$target_sdk_dir/environment-setup- at REAL_MULTIMACH_TARGET_SYS@" ]; then



More information about the Openembedded-commits mailing list